Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# CIAO::Deployment_Configuration Class Reference

A class that provides strategies on deployment topology. More...

`#include <Deployment_Configuration.h>`

Collaboration diagram for CIAO::Deployment_Configuration:

[legend]
List of all members.

## Public Types
typedef CIAO::Deployment_Configuration::_node_manager_info | Node_Manager_Info
typedef CIAO::Deployment_Configuration::_node_manager_info | Node_Manager_Info
## Public Member Functions
| Deployment_Configuration (CORBA::ORB_ptr o)
virtual | ~Deployment_Configuration (void)
| Destructor.
int | init (const char *filename)
virtual const char * | get_node_manager_ior (const char *name) const
virtual const char * | get_default_node_manager_ior () const
virtual ::Deployment::NodeManager_ptr | get_node_manager (const char *name)
virtual ::Deployment::NodeManager_ptr | get_default_node_manager ()
| Deployment_Configuration (CORBA::ORB_ptr o)
virtual | ~Deployment_Configuration (void)
| Destructor.
int | init (const char *filename)
virtual const char * | get_node_manager_ior (const char *name)
virtual const char * | get_default_node_manager_ior ()
virtual ::Deployment::NodeManager_ptr | get_node_manager (const char *name)
virtual ::Deployment::NodeManager_ptr | get_default_node_manager ()
## Protected Attributes
CORBA::ORB_var | orb_
ACE_Hash_Map_Manager_Ex< ACE_CString, Node_Manager_Info, ACE_Hash< ACE_CString >, ACE_Equal_To< ACE_CString >, ACE_Null_Mutex > | deployment_info_
Node_Manager_Info | default_node_manager_
ACE_Hash_Map_Manager_Ex< ACE_CString, Node_Manager_Info, ACE_Hash< ACE_CString >, ACE_Equal_To< ACE_CString >, ACE_Null_Mutex > | deployment_info_

## Detailed Description

A class that provides strategies on deployment topology.

This class provides strategies on how the DomainApplicationManager should deploy an deployment plan at domain-level. This is achieved by providing mappings from deployment destination names to actually NodeManager daemon IORs, and the strategy for which default NodeManager daemons a deployment mechanism should use.

This is a trivial implementation of the deployment configuration strategy. We can enhance this class later on to provide different deployment location strategies, such as naming service.

## Member Typedef Documentation

typedef struct CIAO::Deployment_Configuration::_node_manager_info CIAO::Deployment_Configuration::Node_Manager_Info

typedef struct CIAO::Deployment_Configuration::_node_manager_info CIAO::Deployment_Configuration::Node_Manager_Info

## Constructor & Destructor Documentation

CIAO::Deployment_Configuration::Deployment_Configuration | ( | CORBA::ORB_ptr | o | ) |

CIAO::Deployment_Configuration::~Deployment_Configuration | ( | void |  | ) | `[virtual]`

| Destructor.

CIAO::Deployment_Configuration::Deployment_Configuration | ( | CORBA::ORB_ptr | o | ) |

virtual CIAO::Deployment_Configuration::~Deployment_Configuration | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual ::Deployment::NodeManager_ptr CIAO::Deployment_Configuration::get_default_node_manager | ( |  | ) |

  | Return the reference to the default NodeManager the DomainApplicationManager should use to deploy a node-level deployment plan.. Return values:
  | nil | if no valid daemon is configured.

Deployment::NodeManager_ptr CIAO::Deployment_Configuration::get_default_node_manager | ( |  | ) |

  | Return the reference to the default NodeManager the DomainApplicationManager should use to deploy a node-level deployment plan.. Return values:
  | nil | if no valid daemon is configured.

const char * CIAO::Deployment_Configuration::get_default_node_manager_ior | ( |  | ) | `[virtual]`

  | Return the default NodeManager the DomainApplicationManager should use to deploy a component. In this implementation, the first entry in the deployment configuration data file is always the entry for default activator. Return values:
  | 0 | if no valid daemon is configured.

const char * CIAO::Deployment_Configuration::get_default_node_manager_ior | ( |  | ) | const`[virtual]`

  | Return the default NodeManager the DomainApplicationManager should use to deploy a component. In this implementation, the first entry in the deployment configuration data file is always the entry for default activator. Return values:
  | 0 | if no valid daemon is configured.

virtual ::Deployment::NodeManager_ptr CIAO::Deployment_Configuration::get_node_manager | ( | const char * | name | ) |

  | Return values:
  | nil | if no valid name were found.

Deployment::NodeManager_ptr CIAO::Deployment_Configuration::get_node_manager | ( | const char * | name | ) |

  | Return values:
  | nil | if no valid name were found.

const char * CIAO::Deployment_Configuration::get_node_manager_ior | ( | const char * | name | ) | `[virtual]`

  | Return values:
  | 0 | if no valid name were found. When `name` = 0, then this function behave exactly as get_default_activator_ior.

const char * CIAO::Deployment_Configuration::get_node_manager_ior | ( | const char * | name | ) | const`[virtual]`

  | Return values:
  | 0 | if no valid name were found. When `name` = 0, then this function behave exactly as get_default_activator_ior.

int CIAO::Deployment_Configuration::init | ( | const char * | filename | ) |

  | Init method takes the filename to a configuration file which has a simple line format of name, ior string delimited by a space in each line. name IOR-string Return values:
  | 0 | on success.
  | -1 | otherwise.

int CIAO::Deployment_Configuration::init | ( | const char * | filename | ) |

  | Init method takes the filename to a configuration file which has a simple line format of name, ior string delimited by a space in each line. name IOR-string Return values:
  | 0 | on success.
  | -1 | otherwise.

## Member Data Documentation

Node_Manager_Info CIAO::Deployment_Configuration::default_node_manager_`[protected]`

ACE_Hash_Map_Manager_Ex<ACE_CString, Node_Manager_Info, ACE_Hash<ACE_CString>, ACE_Equal_To<ACE_CString>, ACE_Null_Mutex> CIAO::Deployment_Configuration::deployment_info_`[protected]`

ACE_Hash_Map_Manager_Ex<ACE_CString, Node_Manager_Info, ACE_Hash<ACE_CString>, ACE_Equal_To<ACE_CString>, ACE_Null_Mutex> CIAO::Deployment_Configuration::deployment_info_`[protected]`

CORBA::ORB_var CIAO::Deployment_Configuration::orb_`[protected]`

The documentation for this class was generated from the following files:

- DomainApplicationManager/Deployment_Configuration.h
- TargetManager/Deployment_Configuration.h
- DomainApplicationManager/Deployment_Configuration.cpp
- TargetManager/Deployment_Configuration.cpp